Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.icore
Class TaskItem

    java.lang.Object
      ix.icore.AbstractAnnotatedObject
          ix.icore.AbstractIXObject
              ix.icore.TaskItem

All Implemented Interfaces:
  Annotated, HasStatus, IXObject, Sendable, java.io.Serializable, java.lang.Cloneable

Direct Known Subclasses:
  Activity, Issue

    public abstract class TaskItem

extends AbstractIXObject
implements java.io.Serializable, java.lang.Cloneable, Sendable, HasStatus

Something an agent might be asked to do or to handle. Essentially this class is just to hold what Issues and Activities have in common, which at this level is almost everything.

See Also:
  Serialized Form

Field Summary
`protected static Symbol` | `HISTORY`
`protected Name` | `id`
`protected LList` | `pattern`
`protected java.util.Set` | `patternVars`
`protected Priority` | `priority`
`protected Name` | `ref`
`protected YesNo` | `reportBack`
`static Symbol` | `S_FORWARDED_TO`
`protected Name` | `senderId`
`protected java.lang.String` | `shortDescription`
`protected Status` | `status`

Fields inherited from class ix.icore.AbstractAnnotatedObject
`annotationListeners, annotations`

Constructor Summary
`protected` | `TaskItem()`
`protected` | `TaskItem(LList pattern)`

Method Summary
`void` | `addHistoryEvent(HistoryEvent event)`
`java.lang.Object` | `clone()`
`void` | `computeStatus()`
`void` | `ensureId()`
`void` | `forwardTo(java.lang.Object destination, boolean reportBack)` Sends a copy of this item to another agent, optionally asking the destination agent to send reports back.
`abstract Name` | `generateId()`
`Name` | `getForwardedTo()`
`java.util.List` | `getHistory()`
`Name` | `getId()`
`LList` | `getParameters()`
`LList` | `getPattern()`
`java.util.Set` | `getPatternVars()`
`Priority` | `getPriority()`
`Name` | `getRef()`
`YesNo` | `getReportBack()`
`Name` | `getSenderId()`
`java.lang.String` | `getShortDescription()`
`Status` | `getStatus()`
`java.util.Set` | `getUnboundVars()`
`java.lang.Object` | `getVerb()`
`boolean` | `isGround()`
`boolean` | `priorityWasSet()`
`void` | `setForwardedTo(Name toName)`
`void` | `setHistory(java.util.List history)`
`void` | `setId(Name id)`
`void` | `setPattern(LList pattern)`
`void` | `setPriority(Priority priority)`
`void` | `setRef(Name ref)`
`void` | `setReportBack(YesNo rep)`
`void` | `setSenderId(Name id)`
`void` | `setStatus(Status status)`

Methods inherited from class ix.icore.AbstractAnnotatedObject
`addAnnotationListener, annMap, clearAnnotations, fireSetAnnotation, getAnnotation, getAnnotations, getComments, makeAnnMap, removeAnnotation, setAnnotation, setAnnotations, setComments, takeAnnotations`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface ix.icore.Annotated
`addAnnotationListener, clearAnnotations, fireSetAnnotation, getAnnotation, getAnnotations, removeAnnotation, setAnnotation, setAnnotations, takeAnnotations`

Field Detail

### pattern

    protected LList pattern

### status

    protected Status status

### priority

    protected Priority priority

### id

    protected Name id

### senderId

    protected Name senderId

### ref

    protected Name ref

### reportBack

    protected YesNo reportBack

### shortDescription

    protected java.lang.String shortDescription

### patternVars

    protected java.util.Set patternVars

### HISTORY

    protected static final Symbol HISTORY

### S_FORWARDED_TO

    public static Symbol S_FORWARDED_TO

Constructor Detail

### TaskItem

    protected TaskItem()

### TaskItem

    protected TaskItem(LList pattern)

Method Detail

### getPattern

    public LList getPattern()

### setPattern

    public void setPattern(LList pattern)

### getVerb

    public java.lang.Object getVerb()

### getParameters

    public LList getParameters()

### getShortDescription

    public java.lang.String getShortDescription()

### getPatternVars

    public java.util.Set getPatternVars()

### getUnboundVars

    public java.util.Set getUnboundVars()

### isGround

    public boolean isGround()

### getId

    public Name getId()

### setId

    public void setId(Name id)

### ensureId

    public void ensureId()

### generateId

    public abstract Name generateId()

### getStatus

    public Status getStatus()

  Specified by:
    `getStatus` in interface `HasStatus`

### setStatus

    public void setStatus(Status status)

  Specified by:
    `setStatus` in interface `HasStatus`

### computeStatus

    public void computeStatus()

  Specified by:
    `computeStatus` in interface `HasStatus`

### getPriority

    public Priority getPriority()

### setPriority

    public void setPriority(Priority priority)

### priorityWasSet

    public boolean priorityWasSet()

### getSenderId

    public Name getSenderId()

  Specified by:
    `getSenderId` in interface `Sendable`

### setSenderId

    public void setSenderId(Name id)

  Specified by:
    `setSenderId` in interface `Sendable`

### getRef

    public Name getRef()

### setRef

    public void setRef(Name ref)

### getReportBack

    public YesNo getReportBack()

### setReportBack

    public void setReportBack(YesNo rep)

### getHistory

    public java.util.List getHistory()

### setHistory

    public void setHistory(java.util.List history)

### addHistoryEvent

    public void addHistoryEvent(HistoryEvent event)

### forwardTo

    public void forwardTo(java.lang.Object destination,
                          boolean reportBack)

  Sends a copy of this item to another agent, optionally asking the destination agent to send reports back.

### getForwardedTo

    public Name getForwardedTo()

### setForwardedTo

    public void setForwardedTo(Name toName)

### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  Specified by:
    `clone` in interface `Sendable`
  Overrides:
    `clone` in class `java.lang.Object`
  Throws:
    `java.lang.CloneNotSupportedException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD